Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
FoxitPDFSDKPython2.TextObject Class Reference
Inheritance diagram for FoxitPDFSDKPython2.TextObject:

## Public Member Functions
def | GetCharCount ()
| Get character count in current text object. More...
def | GetCharHeightByIndex (index)
| Get the height of a character specified by index in current text object. More...
def | GetCharPos (index)
| Get the position of a character specified by index in current text object. More...
def | GetCharWidthByIndex (index)
| Get the width of a character specified by index in current text object. More...
def | GetText ()
| Get text string. More...
def | GetTextState (page)
| Get text state information. More...
def | SetText (text)
| Set text string. More...
def | SetTextState (page, text_state, is_italic, weight)
| Set text state information. More...
Public Member Functions inherited from FoxitPDFSDKPython2.GraphicsObject
def | AddClipPath (path, fill_mode)
| Add a path for clipping. More...
def | AddClipTextObject (textobject)
| Add text object for clipping. More...
def | ClearClips ()
| Clear all clips. More...
def | Clone ()
| Clone a new graphics object. More...
def | GetBlendMode ()
| Get the blend mode for transparent imaging model. More...
def | GetClipPath (index)
| Get a path clip by index. More...
def | GetClipPathCount ()
| Get the count of path clip. More...
def | GetClipPathFillMode (index)
| Get the fill mode of a path clip by index. More...
def | GetClipRect ()
| Get clip rectangle. More...
def | GetClipTextObject (index)
| Get the text object of a text clip by index. More...
def | GetClipTextObjectCount ()
| Get the count of text clip. More...
def | GetColorState ()
| Get color state. More...
def | GetFillColor ()
| Get the fill color. More...
def | GetFillOpacity ()
| Get the opacity value for painting operations other than stroking. More...
def | GetFormXObject ()
| Get the form XObject graphics object if current graphics object represents a form XObject object. More...
def | GetGraphState ()
| Get graph state. More...
def | GetImageObject ()
| Get the image graphics object if current graphics object represents an image object. More...
def | GetLayers (layer_tree)
| Get all the layers which are associated with current graphics object. More...
def | GetMarkedContent ()
| Get marked content object. More...
def | GetMatrix ()
| Get matrix. More...
def | GetPathObject ()
| Get the path graphics object if current graphics object represents a path object. More...
def | GetRect ()
| Get the rectangle of current graphics object. More...
def | GetShadingObject ()
| Get the shading graphics object if current graphics object represents a shading object. More...
def | GetStrokeColor ()
| Get the stroke color. More...
def | GetStrokeOpacity ()
| Get opacity value for stroke painting operations for paths and glyph outlines. More...
def | GetTextObject ()
| Get the text graphics object if current graphics object represents a text object. More...
def | GetType ()
| Get the type of current graphics object. More...
def | HasTransparency ()
| Check whether current graphics object has transparency or not. More...
def | Release ()
| Release a cloned or newly created PDF graphics object which has not been inserted into any PDF page or other object. More...
def | RemoveClipPath (index)
| Remove a path clip by index. More...
def | RemoveClipTextObject (index)
| Remove a text clip by index for clipping. More...
def | Rotate (angle)
| Rotate current graphics object from current state with specified angle degree in clockwise. More...
def | SetBlendMode (blend_mode)
| Set the blend mode for transparent imaging model. More...
def | SetClipRect (clip_rect)
| Set clip rectangle. More...
def | SetColorState (color_state)
| Set color state. More...
def | SetFillColor (color)
| Set the fill color. More...
def | SetFillOpacity (opacity)
| Set the opacity value for painting operations other than stroking. More...
def | SetGraphState (graph_state)
| Set graph state. More...
def | SetMatrix (matrix)
| Set matrix. More...
def | SetStrokeColor (color)
| Set the stroke color. More...
def | SetStrokeOpacity (opacity)
| Set opacity value for stroke painting operations for paths and glyph outlines. More...
def | Transform (matrix, need_transform_clippath)
| Transform current graphics object. More...

## Static Public Member Functions
def | Create ()
| Create a new text graphics object. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython2.GraphicsObject
| e_BlendColor = _fsdk.GraphicsObject_e_BlendColor
| Creates a color with the hue and saturation of the source color, and the luminosity of the backdrop color. More...
| e_BlendColorBurn = _fsdk.GraphicsObject_e_BlendColorBurn
| Darkens backdrop color to reflect the source color. More...
| e_BlendColorDodge = _fsdk.GraphicsObject_e_BlendColorDodge
| Brightens backdrop color to reflect source colors. More...
| e_BlendDarken = _fsdk.GraphicsObject_e_BlendDarken
| Select darker one of backdrop and source colors. More...
| e_BlendDifference = _fsdk.GraphicsObject_e_BlendDifference
| Subtracts the darker of the two constituent colors from lighter colors. More...
| e_BlendExclusion = _fsdk.GraphicsObject_e_BlendExclusion
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
| e_BlendHardlight = _fsdk.GraphicsObject_e_BlendHardlight
| Multiply or screens colors, depending on source color value. More...
| e_BlendHue = _fsdk.GraphicsObject_e_BlendHue
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
| e_BlendLighten = _fsdk.GraphicsObject_e_BlendLighten
| Select lighter one of backdrop and source colors. More...
| e_BlendLuminosity = _fsdk.GraphicsObject_e_BlendLuminosity
| Creates a color with the luminosity of the source color, and the hue and saturation of the backdrop color. More...
| e_BlendMultiply = _fsdk.GraphicsObject_e_BlendMultiply
| Multiply backdrop by source color values. More...
| e_BlendNormal = _fsdk.GraphicsObject_e_BlendNormal
| Selecting source color and ignoring backdrop color. More...
| e_BlendOverlay = _fsdk.GraphicsObject_e_BlendOverlay
| Multiply or screens colors, depending on backdrop color value. More...
| e_BlendSaturation = _fsdk.GraphicsObject_e_BlendSaturation
| Creates a color with the saturation of the source color, and the hue and luminosity of the backdrop color. More...
| e_BlendScreen = _fsdk.GraphicsObject_e_BlendScreen
| Multiply complements of backdrop by source color values, and then complement the result. More...
| e_BlendSoftlight = _fsdk.GraphicsObject_e_BlendSoftlight
| Darkens or lightens colors, depending on source color value. More...
| e_TypeAll = _fsdk.GraphicsObject_e_TypeAll
| Represents all graphics object types, only used as filter.
| e_TypeEmptyMarkedContent = _fsdk.GraphicsObject_e_TypeEmptyMarkedContent
| Empty marked-content object.
| e_TypeFormXObject = _fsdk.GraphicsObject_e_TypeFormXObject
| Form XObject graphics object.
| e_TypeImage = _fsdk.GraphicsObject_e_TypeImage
| Image graphics object.
| e_TypeInlines = _fsdk.GraphicsObject_e_TypeInlines
| Inline graphics object.
| e_TypePath = _fsdk.GraphicsObject_e_TypePath
| Path graphics object.
| e_TypeShading = _fsdk.GraphicsObject_e_TypeShading
| Shading graphics object.
| e_TypeText = _fsdk.GraphicsObject_e_TypeText
| Text graphics object.

## Detailed Description

Text graphics object is a kind of PDF graphics object, so class TextObject is derived from class GraphicsObject . It offers functions to get/set text graphics object's data.
To create a new text graphics object, please use function FoxitPDFSDKPython2.TextObject.Create and then use setting functions to set information to the new text graphics object.

See also
  GraphicsObject

## Member Function Documentation

## ◆ Create()

FoxitPDFSDKPython2.TextObject.Create | ( |  | ) |
| static

Create a new text graphics object.

The newly created text graphics object does not have any data yet. Then, setting functions can be called to set data to the new text graphics object. If the newly created text graphics object will not inserted to any page or other objects, please remember to call function FoxitPDFSDKPython2.GraphicsObject.Release to release it when no use.

Returns
  A new text graphics object. If there is any error, this function will return null.

## ◆ GetCharCount()

def FoxitPDFSDKPython2.TextObject.GetCharCount | ( |  | ) |

Get character count in current text object.

Returns
  Character count.

## ◆ GetCharHeightByIndex()

def FoxitPDFSDKPython2.TextObject.GetCharHeightByIndex | ( |  | index | ) |

Get the height of a character specified by index in current text object.

Parameters

  [in] | index | The index of character whose position is to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.TextObject.GetCharCount .

Returns
  Height of the specified character.

## ◆ GetCharPos()

def FoxitPDFSDKPython2.TextObject.GetCharPos | ( |  | index | ) |

Get the position of a character specified by index in current text object.

Parameters

  [in] | index | The index of character whose position is to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.TextObject.GetCharCount .

Returns
  Position of the specified character, in [PDF coordinate system] ().

## ◆ GetCharWidthByIndex()

def FoxitPDFSDKPython2.TextObject.GetCharWidthByIndex | ( |  | index | ) |

Get the width of a character specified by index in current text object.

Parameters

  [in] | index | The index of character whose position is to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.TextObject.GetCharCount .

Returns
  Width of the specified character.

## ◆ GetText()

def FoxitPDFSDKPython2.TextObject.GetText | ( |  | ) |

Get text string.

Returns
  Text string.

## ◆ GetTextState()

def FoxitPDFSDKPython2.TextObject.GetTextState | ( |  | page | ) |

Get text state information.

Parameters

  [in] | page | A valid PDF page.Please ensure that current graphics object just belongs to this page.

Returns
  Text state information.

## ◆ SetText()

def FoxitPDFSDKPython2.TextObject.SetText | ( |  | text | ) |

Set text string.

Parameters

  [in] | text | New text string.

Returns
  None.

Note
  Before setting text, please ensure that current text graphics object has valid font which is a part of text state. If not, please call function FoxitPDFSDKPython2.TextObject.SetTextState to set valid font first; otherwise setting text will fail.
  When this function succeeds, function FoxitPDFSDKPython2.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython2.GraphicsObjects.GenerateContent for more details.

## ◆ SetTextState()

def FoxitPDFSDKPython2.TextObject.SetTextState | ( |  | page,
|  |  | text_state,
|  |  | is_italic,
|  |  | weight
| ) |  |

Set text state information.

Parameters

  [in] | page | A valid PDF page.Please ensure that current graphics object just belongs to this page.
  [in] | text_state | New text state information.
  [in] | is_italic | true means the text of current graphics object is italic, while false means not.
  [in] | weight | Original font weight. If the value is larger than 500, that means to use bold.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython2.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython2.GraphicsObjects.GenerateContent for more details.